Priority: Normal Due date:  
Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.0.1

Description

1. Go to settings

2. choose "Markdown (experimental)" as Text formatting.

3. Go to any WIKI page, crate new page.

The new page will have heading

# Heading test

 Instead of default Markdown heading formatting:

Heading test

===

 
Environment:

  Redmine version                3.0.1.stable

  Ruby version                   1.9.3-p194 (2012-04-20) [i486-linux]

  Rails version                  4.2.0

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.6.17

  Mercurial                      2.2.2

  Git                            1.7.10.4

  Filesystem                     

Redmine plugins:

  add_link                       0.0.1

  redmine_changeauthor           1.0.0

  redmine_custom_css             0.1.4

  redmine_improved_searchbox2    0.0.3

  redmine_lightbox2              0.2.2

History

#1 - 2015-08-13 03:39 - Go MAEDA

- Subject changed from Incorrect new WIKI page heading, when using "Markdown" text formatting to Markdown formatter does not support

Setext-style headers

According to Markdown Syntax Documentation, Markdown supports two styles of headers. Both of the following are correct syntax.

Setext-style:

This is an H1

=============

This is an H2

-------------

 Atx-style:
http://daringfireball.net/projects/markdown/syntax#header


# This is an H1

## This is an H2

#2 - 2015-08-13 03:40 - Go MAEDA

- Subject changed from Markdown formatter does not support Setext-style headers to Incorrect new WIKI page heading, when using "Markdown" text

formatting

#3 - 2015-08-18 08:51 - Jean-Philippe Lang

- Status changed from New to Needs feedback

- Assignee set to Arnis Juraga

Please explain how your proposed fix is better than the current default.

#4 - 2016-05-08 04:46 - Go MAEDA

- Status changed from Needs feedback to Closed

- Resolution set to Invalid

As I described in #20526#note-1, it is not incorrect.
